GRASP J-12 Past Performance Data.docx

DOCX document 25 KB Posted

Attached to
USNS GRASP (T-ARS 51) Solicitation Federal contract opportunity
Solicitation number
N3220520R7008
Issued by
Department of the Navy Military Sealift Command

About this file

This document contains a past performance data template and details of a solicitation for the USNS GRASP (T-ARS 51) FY21 Mid-Term Availability. The past performance template requests information on references, contract details, locations of work, status, descriptions of work performed, and compliance with small business requirements. The related solicitation is from the Department of the Navy Military Sealift Command and seeks offers for the overhaul, repair, and alteration of the USNS GRASP for its mid-term availability in fiscal year 2021. Offerors are required to provide past performance data on relevant contracts from the last three years for ship repair and overhaul work.

View the file

Other files for this federal contract opportunity

Other files attached to USNS GRASP (T-ARS 51) Solicitation, newest first.
File Type Posted
USNS GRASP Amendment 003.pdf PDF
GRASP J-2 (Revised).xlsx XLSX spreadsheet
USNS GRASP FY21 MTA Amendment 0002.pdf PDF
S9311-A1-MMM-020_0_A (2).pdf PDF
S9311-A1-MMM-010(SHIP SERVICE GENERATOR).pdf PDF
SEBU6102_0_0.pdf PDF
Amendment 0002 RFCs.zip ZIP file
GALLEY RANGEHOOD SYSTEM TEST REPORT - USNS GRASP 2020.pdf PDF
Galley Test Report GRASP.pdf PDF
SEBU5698-03-01-ALL.pdf PDF
WI 0654 Rescue Boat Davit Service Revised.doc DOC document
References 0570.zip ZIP file
0202_A_ Reduction Gear Clutch and Brake Inspections Rev 1_Specification.doc DOC document
RFC 004 - WI 561 Gauge List.docx DOCX document
GRASP J-10 Interport Differential.docx DOCX document
RFC 003 - WI 202 and 561.docx DOCX document
0108_B_SUPERSTRUCTURE AND DECKING PRESERVATION Rev 1.doc DOC document
Enclosure 2.2.1 GRASP MSIL 2019.xls XLS spreadsheet
RFC 001 - Revised J-10 IDP.docx DOCX document
USNS GRASP Amendment 0001.pdf PDF
RFC 002 - Revised WI 0108.docx DOCX document
RFC 005 - Ship Check.docx DOCX document
GRASP JA Redacted.pdf PDF
GRASP J-2 Category A Items 20R7008.xlsx XLSX spreadsheet
GRASP J-7 MSC Ship Repair Facility Survey.docx DOCX document
GRASP J-10 Interport Differential.docx DOCX document
GRASP J-9 Disclosure of Lobbying Activities SF-LLL.docx DOCX document
GRASP J-8 Request for Spec Clarification.docx DOCX document
GRASP J-3 Category B Items 20R7008.xlsx XLSX spreadsheet
GRASP J-13 Past Performance Questionnaire.docx DOCX document
J-4 GFP USNS GRASP.xlsx XLSX spreadsheet
GRASP J-14 Technical Data Non-Disclosure.docx DOCX document
USNS GRASP FY21 Solicitation 20R7008.pdf PDF
GRASP J-6 CDRLs.zip ZIP file
Show all 34

On GovTribe

Work with this file on GovTribe

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

N3220520R7008

USNS GRASP (T-ARS 51) MTA

PAST PERFORMANCE DATA

1. Complete Name of Reference (Government agency, commercial firm, or other organization)

2. Complete Address of Reference

3. Contract Number or other control number

4. Date of contract

5. Date work was begun

6. Date work was completed

7. Contract type, initial contract price, estimated cost and fee, or target cost and profit or fee

8. Final amount invoiced or amount invoiced to date

9a. Reference/Technical point of contact (name, title, address, telephone no. and email address)

9b. Reference/Contracting point of contact (name, title, address, telephone no. and email address)

10. Location of work (country, state or province, county, city)

11. Current status of contract (choose one):

[ ] Ongoing [ ] Complete [ ] Terminated for Convenience [ ] Terminated for Default [ ] Other (explain)

12. Provide a summary description of contract work. Discuss relevant past performance of offeror, as a prime contractor and/or subcontractor, and of key personnel in the overhaul, repair, and alteration of ships within the last three years that is comparable or related to the work or effort required by this solicitation.

13a. Did this contract require a Small Business Subcontracting Plan pursuant to FAR 52.219-9? Yes __, No__.

13b. If “Yes” to 13a, have you regularly submitted your reports in the Electronic Subcontract Reporting System (ESRS) in a timely manner? Yes __, No__.

If no, why not?

14. All offerors should address historical compliance with the requirements of FAR Part 52.219-8 (Utilization of Small Business Concerns) for government contracts. In addition, large businesses shall address historical compliance with the requirements of FAR 52.219-9 (Small Business Subcontracting Plan) and DFARS 252.219-7003 (Small Business Subcontracting Plan, DOD Requirements.

ATTACHMENT J - 12

File details come from the government source that posted it. Updated .